astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Time and Dates (`astropy.time`) »
- TimeISOT

# TimeISOT

class `astropy.time.``TimeISOT`(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `astropy.time.TimeISO`

  ISO 8601 compliant date-time format “YYYY-MM-DDTHH:MM:SS.sss...”. This is the same as TimeISO except for a “T” instead of space between the date and time. For example, 2000-01-01T00:00:00.000 is midnight on January 1, 2000.

  The allowed subformats are:

  - ‘date_hms’: date + hours, mins, secs (and optional fractional secs)
  - ‘date_hm’: date + hours, mins
  - ‘date’: date

  Attributes Summary

  `name` |
  `subfmts` |

  Attributes Documentation

  `name` = u'isot'
  `subfmts` = ((u'date_hms', <_sre.SRE_Pattern object at 0x30a8020>, u'{year:d}-{mon:02d}-{day:02d}T{hour:02d}:{min:02d}:{sec:02d}'), (u'date_hm', <_sre.SRE_Pattern object at 0x7f523a2a4b40>, u'{year:d}-{mon:02d}-{day:02d}T{hour:02d}:{min:02d}'), (u'date', <_sre.SRE_Pattern object at 0x7f523a2d9590>, u'{year:d}-{mon:02d}-{day:02d}'))